# Ogre::ErrorDialog Class Reference

Class for displaying the error dialog if Ogre fails badly. More...

`#include <OgreErrorDialog.h>`

Inheritance diagram for Ogre::ErrorDialog:

List of all members.

## Public Member Functions

virtual | ~ErrorDialog ()
virtual void | display (const String &errorMessage, String logName="")=0
| Displays the error dialog.

## Detailed Description

Class for displaying the error dialog if Ogre fails badly.

Definition at line 36 of file OgreErrorDialog.h.

## Constructor & Destructor Documentation

virtual Ogre::ErrorDialog::~ErrorDialog | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = ""
| ) | `[pure virtual]`

Displays the error dialog.

Parameters:

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

Implemented in Ogre::GLXError, Ogre::SDLError, and Ogre::Win32ErrorDialog.

The documentation for this class was generated from the following file:

- OgreErrorDialog.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:24 2006